/*window.parent.postMessage({
	yijiupiType: 3,
	dataId: this.product.productSkuId
}, "*");
jumpMicro(type,data){
	
	window.parent.postMessage({
		yijiupiType: type,
		 dataId: data
	},"*");
}
wx.miniProgram.navigateTo({
			url: '/pages/product/productDetail?productSkuId='+this.product.productSkuId
		});

jumpWx(url,data){
	//url 格式   '/pages/product/productDetail?productSkuId='
	wx.miniProgram.navigateTo({
		url: url+data
	});
}*/
//searchbar jump
export function searchBarJump(){
	if(window.__wxjs_environment === 'miniprogram') {
		const url = '/pages/search/search'
		this.jumpWx(url,'')
	} else {
		this.jumpMicro(21,{})
	}
}
//跳转热门活动  
export function jumpHotPromotion(item) {
	let url = ''
	item.promotionId = item.promotionId||item.activityId
	if(window.__wxjs_environment === 'miniprogram') {
		if(item.promotionType === 5) {
			//组合活动 
			url = '/pages/compositeActivity/compositeProductDetail?activityId='
			this.jumpWx(url, item.promotionId)
		} else {
			url = '/pages/activity/activityDetail?promotionType=' + item.promotionType + '&activityId=' + item.promotionId
			this.jumpWx(url, '')
		}
	} else {
		if(item.promotionType === 5) {
			//组合活动  
			this.jumpMicro(13, item.promotionId)
		} else {
			this.jumpMicro(19, {
				activityId: item.promotionId,
				promotionType: item.promotionType
			})
		}
	}
}
//跳转product detail 
export function jumpProductLink(product) {
	if(window.__wxjs_environment === 'miniprogram') {
		const url = '/pages/product/productDetail?productSkuId='
		this.jumpWx(url, product.productSkuId)
	} else {
		this.jumpMicro(3, product.productSkuId)
	}
}

//jump recommond brands
export function jumpRecommendBrand(item) {
	if(window.__wxjs_environment === 'miniprogram') {
		const url = '/pages/product/productList?brandIds='
		const data = JSON.stringify([item.brandId])
		this.jumpWx(url,data)
	} else {
		this.jumpMicro(21, {
			brandId: item.brandId
		})
	}
}

//二级分类页面 类目jump first or soncategory
export function jumpCategoryProductList(firstCategoryId,categoryId){  
	if(window.__wxjs_environment === 'miniprogram'){
		let url ='/pages/product/productList?firstCategoryId='+firstCategoryId
		if(categoryId){
			url = url +'&categoryId=' 
			this.jumpWx(url,JSON.stringify([categoryId]))
		}else{
			this.jumpWx(url,'')
		}
		
	}else{
		this.jumpMicro(21,{
			category:firstCategoryId,
			categoryId : categoryId
		})
	}
}
//banner jump 
export function jumpBannerLink(item){
	
	if(window.__wxjs_environment === 'miniprogram'){
		let url = ''
		switch(item.bannerType) {
			case 1:
				if(item.promotionType === 5) {
					//组合活动 
					 url = '/pages/compositeActivity/compositeProductDetail?activityId=' 
					 this.jumpWx(url,item.targetId)
				} else {
					 url = '/pages/activity/activityDetail?promotionType='+ item.promotionType+'&activityId='+item.targetId
					 this.jumpWx(url,'')
				}
				break;
			case 2://商品详情 
				 url = '/pages/product/productDetail?productSkuId=' 
				 this.jumpWx(url,item.targetId)
				break;	
			case 3://version2list 
				 url = '/pages/product/productList?categoryId=' 
				 const data = JSON.stringify([item.targetId])
				 this.jumpWx(url,data)
				break;	
			default:
				break;
		}
	}else{
		switch(item.bannerType) {
			case 1:
				if(item.promotionType === 5) {
					//组合活动  activityId = item.targetId
					this.jumpMicro(13,item.targetId)
				} else {
					this.jumpMicro(19,{
						activityId :item.targetId,
						promotionType : item.promotionType
					})
				}
				break;
			case 2://商品详情 
				if(item.promotionType === -1) {
					
					this.jumpMicro(3,item.targetId)
				} else { //活动商品详情
					this.jumpMicro(20,{
						skuId :item.targetId,
						promotionType : item.promotionType
					})
				}
				break;	
			case 3://version2list 
				this.jumpMicro(21,{
					categoryId : item.targetId	
				})
				break;	
			case 4://skipUrl
				 this.jumpMicro(22,item.skipUrl)
				break;	
			case 5://skipUrl
				 this.jumpMicro(22,item.skipUrl)
				break;	
			case 6://实名认证
				 this.jumpMicro(23)
				break;
			case 12://version2list
				 this.jumpMicro(21,{
				 	category :item.bannerId,
				 	subCategory : item.subCategoryV1
				 })
				break;	
			default:
				break;
		}
	}	
}
