
 function transformList(list) {
 	
	for(let product of list) {
		//maxBuyNum &&  minBuyNum
		if(product.stockState==4){
			product.filterNamePrefix = true
		}
		if(product.saleMode === 2 || product.saleMode === 6) {
			product.canSellStoreCount = 9999;
			product.filterNamePrefix = true
		}
		product.maxBuyNum = product.canSellStoreCount;
		if(product.productTags && product.productTags.length) {
			for(let tag of product.productTags) {
				//限购
				if(tag.tagType == 1) {
					product.limitBuyCount = parseInt(tag.value)
					product.maxBuyNum = Math.min(product.canSellStoreCount, product.limitBuyCount);
				}
				//是否 促销
				if(tag.tagType == 2 || tag.tagType == 4 || product.productPrice.reducePrice){
					product.isPromotion = true 
				}
				//icon 送红包 
				if(tag.tagType == 2){
					product.iconZeng = true
				}
				//icon 会员专享
				if(tag.tagType == 97){
					product.iconCustomer = true
				}
			}
		}
		if(product.minPurchaseNum) {
			product.minBuyNum = product.minPurchaseNum;
		} else {
			product.minBuyNum = 1;
		}
	}
	return list;
}
module.exports={
	transformList
}
