
const Tab = (resolve) => {
  import('./../components/Tab.vue').then((module) => {
    resolve(module)
  })
}
const Home = (resolve) => {
  import('../page/home/home.vue').then((module) => {
    resolve(module)
  })
}
const Category = (resolve) => {
  import('../page/category/category.vue').then((module) => {
    resolve(module)
  })
}

const Brands = (resolve) => {
  import('../page/brands/brands.vue').then((module) => {
    resolve(module)
  })
}
const Activitys = (resolve) => {
  import('../page/activitys/activitys.vue').then((module) => {
    resolve(module)
  })
}

const Secondsort = (resolve) => {
  import('../page/secondsort/secondsort.vue').then((module) => {
    resolve(module)
  })
}

const brandVenue= (resolve) => {
  import('../page/brandVenue/brandVenue.vue').then((module) => {
    resolve(module)
  })
}


let routes = [{
        path: '',
        redirect : '/navi/home'
    },{
    	path:'/navi',
    	meta:{
    		keepAlive:true
    	},
    	component: Tab,
    	children : [
	    {
	    	path: 'home',
	    	name:'home',
	        meta:{
	            title:'食品超市',
	            keepAlive:true
	           
	    	 },
	     	component: Home 	
	   	 },{
	        path: 'category',
	        name:'category',
	        meta:{
	           title:'食品分类',
	           keepAlive:true
	        },
	        component:Category
   		 }]
    },{
        path: '/brands',
         meta:{
            title:'品牌热卖',
            keepAlive:false
        },
        component:Brands,
        name :'brands',
    },{
    	name : 'activitys',
        path: '/activitys',
         meta:{
             title:'热门活动',
             keepAlive:false
        },
        component:Activitys
    },{
        path: '/brandvenue',
        meta:{
             title:'',
             keepAlive:false
        },
        name :'brandvenue',
        component:brandVenue
    },{
        path: '/secondsort/:categoryId',
        meta:{
             title:'',
             keepAlive:false
        },
        name:'secondsort',
        component:Secondsort
    }]


module.exports = {
	routes
}
