import Vue from 'vue'
import DPComponent from './dialog-product.vue'

let initDPComponent = Vue.extend(DPComponent)

/*
 * @params
 * options === product
 */
let DialogProduct= (options)=>{
	
	let instance;
	const Dom = document.createElement('div')
	document.body.appendChild(Dom)
	instance = new initDPComponent().$mount(Dom)
	
	instance.show = true;
	instance.product = options
	instance.buyCount = options.minBuyNum
	if(options.productSaleSpecId != options.productSkuId){
		instance.XS = options.saleSpecQuantity || 1
		instance.buyCount = options.minBuyNum*instance.XS
	}
	/*
	 */

	return new Promise((resolve,reject)=>{
		/*fix 弹窗出来之后依旧键盘没有回收*/
        let inputs = Array.prototype.slice.call(document.querySelectorAll('input'));
        inputs.forEach((input)=>{
            input.blur();
        });
		
		/* 对 success 函数包裹一层 */
        let success = instance.success;
        let fail    = instance.fail;
        
        instance.success = () => {
            success();
            resolve(instance.buyCount);
        }

        instance.fail = () => {
            fail();
            reject('fail');
        }
	})
}

export default {
	install () {
		Vue.prototype.newDialogProduct = DialogProduct	
	}
}
